Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
MEMO Struct Reference

MEMO. More...

`#include <internal.h>`

## Data Fields
VALUE | flags
VALUE | reserved
const VALUE | v1
const VALUE | v2
union {
long cnt
long state
const VALUE value
void(* func )(void)
} | u3
union {
long cnt
long state
const VALUE value
void(* func )(void)
} | u3

## Detailed Description

MEMO.

See also
  imemo_type

Definition at line 1278 of file internal.h.

## Field Documentation

## ◆ cnt

long MEMO::cnt

Definition at line 1284 of file internal.h.

## ◆ flags

VALUE MEMO::flags

Definition at line 1279 of file internal.h.

## ◆ func

void(* MEMO::func) (void)

Definition at line 1287 of file internal.h.

## ◆ reserved

VALUE MEMO::reserved

Definition at line 1280 of file internal.h.

## ◆ state

long MEMO::state

Definition at line 1285 of file internal.h.

## ◆ u3 [1/2]

union { ... } MEMO::u3

## ◆ u3 [2/2]

union { ... } MEMO::u3

## ◆ v1

const VALUE MEMO::v1

Definition at line 1281 of file internal.h.

## ◆ v2

const VALUE MEMO::v2

Definition at line 1282 of file internal.h.

## ◆ value

const VALUE MEMO::value

Definition at line 1286 of file internal.h.

The documentation for this struct was generated from the following files:

- internal.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h